Skip to content
View as Markdown

POST Bulk Action Contacts​

POST
/subscribers/do-bulk-action

Perform a bulk action on multiple contacts. Supports adding/removing tags and lists, changing status/type, deleting contacts, sending double opt-in, adding to email sequences/automation funnels/companies, removing from companies, and updating custom fields. When is_all is yes, processes contacts matching the filter query in chunks.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"action_name": "string",
"subscriber_ids": [
0
],
"is_all": "string",
"contact_query": {
"filter_type": "string",
"search": "string",
"tags": [
0
],
"statuses": [
"string"
],
"lists": [
0
],
"company_ids": [
0
],
"advanced_filters": "string"
},
"last_id": 0,
"action_options": [
0
],
"new_status": "string",
"custom_field": {
"key": "string",
"value": "string"
}
}

Responses​

Bulk action completed successfully.

application/json
JSON
{
"message": "string",
"completed_contacts": 0,
"last_contact_id": 0,
"is_completed": true
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI